Skip to main content
PATCH
/
v0
/
fees
/
{id}
Update
curl --request PATCH \
  --url https://api.paygentic.io/v0/fees/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>"
}
'
import requests

url = "https://api.paygentic.io/v0/fees/{id}"

payload = {
"description": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', name: '<string>'})
};

fetch('https://api.paygentic.io/v0/fees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fee_u3v4w5x6y7z8a9b0",
  "object": "fee",
  "createdAt": "2024-02-01T14:45:30Z",
  "description": "Updated yearly compliance fee",
  "merchantId": "org_c1d2e3f4g5h6i7j8",
  "name": "Compliance Update",
  "productId": "prod_k9l0m1n2o3p4q5r6",
  "updatedAt": "2024-03-15T11:30:00Z"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the fee Unique identifier for a fee

Pattern: ^fee_[a-zA-Z0-9]+$

Body

application/json
description
string

Revised explanation of what the fee represents.

name
string

Updated label for the fee.

Response

Fee updated successfully

id
string
required
Pattern: ^fee_[a-zA-Z0-9]+$
object
enum<string>
default:fee
required
Available options:
fee
name
string
required
description
string
required
merchantId
string
required

Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
productId
string
required

Unique identifier for a product

Pattern: ^prod_[a-zA-Z0-9]+$
createdAt
string<date-time>
required
updatedAt
string<date-time>
required